switch-priv-modes:
  switch_modes: false 
  num_switches: 5

priv-mode:
  mode: m

general:
  total_instructions: 1000
  regs_not_use: x1,x2,x0
  custom_trap_handler: false
  code_start_address: 0x80000000
  default_program_exit: false
  delegation: 0x000

isa-instruction-distribution:
  rel_sys: 0
  rel_sys.csr: 0
  rel_rv32i.ctrl: 0
  rel_rv32i.compute: 10
  rel_rv32i.data: 10
  rel_rv32i.fence: 10
  rel_rv64i.compute: 10
  rel_rv64i.data: 10
  rel_rv32m: 10
  rel_rv64m: 10
  rel_rv32a: 10
  rel_rv64a: 10
  rel_rv32f: 10
  rel_rv64f: 10
  rel_rv32d: 10
  rel_rv64d: 10
  rel_rvc.ctrl: 0
  rel_rvc.compute: 10
  rel_rvc.sp: 10
  rel_rvc.data: 10
  rel_rvc.fdata: 10
  rel_rv32c.compute: 0
  rel_rv32c.ctrl: 0
  rel_rv32c.fdata: 0
  rel_rv64c.compute: 10
  rel_rv64c.data: 10

float-rounding:
  rne: 10
  rtz: 10
  rdn: 10
  rup: 10
  rmm: 10
  dyn: 10

branch-control:
  block-size: 7
  backward-probability: 0.5

recursion-options:
  recursion-enable: false
  recursion-depth: 10
  recursion-calls: 5

access-sections:
  begin_signature: 0x80200000,0x80400000,rw

#orig 0x80090000,0x800fffff,rw
#0x80ff0000,0x80ffffff,rw
#Store + load stress test:
#Line stride with:
#Multiple random no.(python) of stores to each line with random block offset then 2 loads to same line. 

user-functions:
  func1: '{90: "addi sp, sp, -26*REGBYTES;
SREG t0, 5*REGBYTES(sp);
SREG t2, 7*REGBYTES(sp);
SREG s1, 9*REGBYTES(sp);
SREG s3, 19*REGBYTES(sp);
SREG t6, 31*REGBYTES(sp);
SREG a1, 11*REGBYTES(sp);
SREG s7, 23*REGBYTES(sp);
SREG a0, 10*REGBYTES(sp);
SREG t1, 6*REGBYTES(sp);
 SREG s11, 27*REGBYTES(sp);
 SREG s10, 26*REGBYTES(sp);
 SREG t5, 30*REGBYTES(sp);
  SREG t4, 29*REGBYTES(sp);
  SREG t3, 28*REGBYTES(sp);
SREG s5, 21*REGBYTES(sp);
 SREG a2,  12*REGBYTES(sp);
 SREG a3,  13*REGBYTES(sp);
 SREG a4,  14*REGBYTES(sp);
 SREG a5,  15*REGBYTES(sp);
SREG a6,  16*REGBYTES(sp);
 SREG s0, 8*REGBYTES(sp);
 SREG a7,  17*REGBYTES(sp);
la t0, begin_signature;
li a0, 0x12da;
li a1, 0x24fa;
li a2, 0xaa1c;
li a3, 0x123f;
li a4, 0xcc10;
li a5, 0x0168;
li a6, 0x324f;
li a7,0x55556;
li t1,0;
li s5,0x20;
 loop_quat_pg:sb a0,47(t0);
sd a1,12(t0);
 sd a2,23(t0);
 sd a3,59(t0);
 lw t1, 7(t0);
 lw t2, 16(t0);
 sd a7, 38(t0);
 srli a7, a7, 1;
 sd a7, 52(t0);
 srli a7, a7, 1;
 sd a7, 8(t0);
 slli a7, a7, 1;
 sd a7, 44(t0);
 slli a7, a7, 1;
 sd a7, 57(t0);
 slli a7, a7, 1;
 lw t1, 13(t0);
 lw t2, 50(t0);
 addi a7,a7, 1;
 sd a0,93(t0);
 sd a1,88(t0);
 sd a2,119(t0);
 sd a3,68(t0);
 sd a4,79(t0);
 sd a5,94(t0);
 lw t1, 78(t0);
 lw t2, 127(t0);
 sd a7, 105(t0);
 slli a7, a7, 1;
 sd a7, 108(t0);
 slli a7, a7, 1;
 sd a7, 91(t0);
 srli a7, a7, 1;
 sd a7, 109(t0);
 slli a7, a7, 1;
 lw t1, 110(t0);
 lw t2, 89(t0);
 addi a7,a7, 1;
 sd a0,163(t0);
 sd a1,172(t0);
 sd a2,188(t0);
 sd a3,185(t0);
 lw t1, 169(t0);
 lw t2, 171(t0);
sd a7, 149(t0);
 srli a7, a7, 1;
 sd a7, 170(t0);
 slli a7, a7, 1;
 sd a7, 183(t0);
 slli a7, a7, 1;
 sd a7, 173(t0);
 slli a7, a7, 1;
 sd a7, 161(t0);
 slli a7, a7, 1;
 lw t1, 130(t0);
 lw t2, 180(t0);
 addi a7,a7, 1;
 sd a0,236(t0);
 sd a1,201(t0);
 sd a2,218(t0);
 sd a3,246(t0);
 sd a4,207(t0);
 sd a5,246(t0);
 lw t1, 254(t0);
 lw t2, 252(t0);
 sd a7, 240(t0);
 srli a7, a7, 1;
 sd a7, 245(t0);
 slli a7, a7, 1;
 sd a7, 242(t0);
 srli a7, a7, 1;
 sd a7, 203(t0);
 slli a7, a7, 1;
 sd a7, 210(t0);
 srli a7, a7, 1;
 sd a7, 232(t0);
 slli a7, a7, 1;
 lw t1, 209(t0);
 lw t2, 195(t0);
 lw t1, 961(t0);
 lw t2, 993(t0);
 sd a7, 996(t0);
slli a7, a7, 1;
 sd a7, 980(t0);
 srli a7, a7, 1;
 sd a7, 1003(t0);
srli a7, a7, 1;
lw t1, 1004(t0);
# lb t2, 1000(t0);
 addi a7,a7, 1;
addi t0, t0, 1024;
addi t1,t1,1;
bne t1,s5, loop_quat_pg;
LREG t0, 5*REGBYTES(sp);
LREG t2, 7*REGBYTES(sp);
LREG s1, 9*REGBYTES(sp);
LREG s3, 19*REGBYTES(sp);
LREG t6, 31*REGBYTES(sp);
LREG a1, 11*REGBYTES(sp);
LREG s7, 23*REGBYTES(sp);
LREG a0, 10*REGBYTES(sp);
LREG t1, 6*REGBYTES(sp);
 LREG s11, 27*REGBYTES(sp);
 LREG s10, 26*REGBYTES(sp);
 LREG t5, 30*REGBYTES(sp);
  LREG t4, 29*REGBYTES(sp);
  LREG t3, 28*REGBYTES(sp);
LREG s5, 21*REGBYTES(sp);
 LREG a2,  12*REGBYTES(sp);
 LREG a3,  13*REGBYTES(sp);
 LREG a4,  14*REGBYTES(sp);
 LREG a5,  15*REGBYTES(sp);
LREG a6,  16*REGBYTES(sp);
 LREG s0, 8*REGBYTES(sp);
 LREG a7,  17*REGBYTES(sp);
addi sp, sp, -26*REGBYTES;
" }'
#Multiple  random no.(python) of stores + (decide randomly to either slri or slli the store value) and then 2 loads 

i-cache:
  num_calls: 0
  num_bytes_per_block: 16
  num_blocks: 8
  num_cycles: 10

d-cache:
  num_calls: 0
  num_bytes_per_block: 16
  num_blocks: 8
  num_cycles: 10

exception-generation:
  ecause00: 0
  ecause01: 0
  ecause02: 0
  ecause03: 0
  ecause04: 0
  ecause05: 0
  ecause06: 0
  ecause07: 0
  ecause08: 0
  ecause09: 0
  ecause10: 0
  ecause11: 0
  ecause12: 0
  ecause13: 0
  ecause14: 0

csr-sections:
  sections: 0x000:0xfff

data-hazards:
  raw_prob: 1
  war_prob: 1
  waw_prob: 1
  num_regs_lookbehind: 3

program-macro:
  pre_program_macro: "add x0,x0,x0"
  post_program_macro: "li gp,1; \n sw gp, tohost, t5;\n fence.i;\n li t6,  0x20000; \n la t5, begin_signature; \n sw t5, 0(t6); \n la t5, end_signature \n sw t5, 8(t6); \n sw t5,  12(t6);"        
  pre_branch_macro: "add x0,x0,x0"
  post_branch_macro: "add x0,x0,x0"
  ecause00: "random"
  ecause01: "random"
  ecause02: "random"
  ecause03: "random"
  ecause04: "random"
  ecause05: "random"
  ecause06: "random"
  ecause07: "random"
  ecause08: "random"
  ecause09: "random"
  ecause10: "random"
  ecause11: "random"
  ecause12: "random"
  ecause13: "random"
  ecause14: "random"
